# Dynamic_Service.h File Reference

`#include "ace/config-all.h"`
`#include "ace/Dynamic_Service_Base.h"`
`#include "ace/Dynamic_Service.inl"`
`#include "ace/Dynamic_Service.cpp"`

Include dependency graph for Dynamic_Service.h:

This graph shows which files directly or indirectly include this file:

## Classes

class | ACE_Dynamic_Service< TYPE >
| Provides a general interface to retrieve arbitrary objects from the ACE service repository. More...

## Detailed Description

Id
  Dynamic_Service.h,v 4.21 2005/10/28 16:14:52 ossama Exp

Author:
  Prashant Jain <pjain@cs.wustl.edu>

  Douglas C. Schmidt <schmidt@cs.wustl.edu>